=== debian/changelog ===
debian-cd (3.1.4) unstable; urgency=low

  [ Frans Pop ]
  * Cleanup of packages included for bootable CDs (generate_d-i+k_list):
    - libsysfs2 workaround is no longer needed;
    - discover is no longer used anywhere;
    - include grub-legacy instead of grub;
    - pcmcia-cs has been fully replaced with pcmciautils.
  * Exclude udebs for X.Org-based version of the Graphical Installer.
  * Excluding reiserfs4 udebs is not needed for Squeeze.
  * Include pciutils on installation CDs.
  * Only include a symlink for the suite actually specified in the
    Release file. Closes: #590993

  [ Karl Goetz ]
  * Rename log.sort_deps* to sort_deps*.log for better consistency.
    Closes: #571591
  * Minor tweaks to Debian packaging to make lintian happy.
    Closes: #592932
  * Minor whitespace/wording fixes for the README file. Closes: #592933
  * Change the default for NORECOMMENDS to 1 for consistency with
    NOSUGGESTS. Closes: #598196
  * Documentation patches

  [ Steve McIntyre ]
  * Rename log.add_packages to add_packages.log
  * Add dependency on dpkg-dev for dpkg-architecture. Closes: #574879
  * Add support for forcing firmware packages onto CD#1:
    + Add "FORCE_FIRMWARE=1" to CONF.sh to turn this on
    + Will pick up on packages in the "firmware" task and install them
    + Will also add sym-links to them in CD1/firmware so that new d-i code
      can find them easily.
    + Will add a short sentence into README.html/README.txt
  * Add top-level control of which checksums are desired for output images
    see the CHECKSUMS setting in CONF.sh
  * Fix some bashisms in tools/apt-selection.
  * When generating both iso and jigdo files, make sure that the iso files
    are at least as new as the jigdo files, as this helps people mirroring.
    Closes: #587774
  * On release builds, use the full version number including all the dots
    (e.g. 6.0.0 for the squeeze release instead of 600).
  * Update loadlin kernel parameters to match d-i values. Thanks to Samuel
    Thibault for the patch. Closes: #594267
  * Fix support for alternative boot splash images. Thanks to Tony Awtrey
    for the patch. Closes: #537368
  * Include the acpi package for all x86 media types. Closes: #475243
  * Include the wpasupplicant package on netinsts and larger. Closes: #593914
  * Include kbd on first CD rather than console-tools. Closes: #514654
  * Added dedication to Frans Pop.

  [ Ian Campbell ]
  * boot-x86: detect duplicates in the extra images used for installation
    and replace with hard links.
  * CONF.sh: Don't reset the value of $VARIANTS by default.

  [ Aurelien Jarno ]
  * Add support for the kfreebsd ports. Closes: #593629
  * Add debian-ports-archive-keyring-udeb and
    emdebian-archive-keyring-udeb to the exclude list - they should be in
    the initrd already.
  * Don't exclude reiserfsprogs-udeb, as rescue-mode depends on it.
    Closes: #593972

  [ Petter Reinholdtsen ]
  * Support replacing the g-i image with ones own image. Closes: #601189

  [ Holger Levsen ]
  * Start work on Debian Edu images.

  [ Otavio Salvador ]
  * squeeze: include zlib-modules for i386 images

 -- Steve McIntyre <93sam@debian.org>  Sun, 14 Nov 2010 15:37:24 +0000
