## debian-cd 3.1.5

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,16 @@
 endif
 ifeq ($(shell echo $(ARCHES) | sed 's/.*source.*/1/'),1)
 	export INC_SOURCE=yes
+endif
+
+UNDER_ARCHES=$(shell echo $(ARCHES) | sed 's/\ /_/g')
+ARCH_MKISOFS = ${${UNDER_ARCHES}_MKISOFS}
+ARCH_MKISOFS_OPTS = ${${UNDER_ARCHES}_MKISOFS_OPTS}
+ifneq (${ARCH_MKISOFS},)
+    MKISOFS = ${ARCH_MKISOFS}
+endif
+ifneq (${ARCH_MKISOFS_OPTS},)
+    MKISOFS_OPTS = ${ARCH_MKISOFS_OPTS}
 endif
 
 ## Internal variables  
@@ -363,7 +373,7 @@
 	$(Q)if [ "$(INC_SOURCE)"x = "yes"x ] ; then \
 		grep ^source $(BDIR)/packages > $(BDIR)/packages.source; \
 	fi
-	$(Q)$(BASEDIR)/tools/make_disc_trees.pl $(BASEDIR) $(MIRROR) $(TDIR) $(CODENAME) "$(ARCHES)" $(MKISOFS)
+	$(Q)$(BASEDIR)/tools/make_disc_trees.pl $(BASEDIR) $(MIRROR) $(TDIR) $(CODENAME) "$(ARCHES)" "$(MKISOFS)" "$(MKISOFS_OPTS) $(JIGDO_OPTS)"
 
 images: ok $(OUT) $(BDIR)/md5-check
 	$(Q)$(make_image) "$(BDIR)" "$(ARCHES)" "$(OUT)" "$(DEBVERSION)" "$(MIRROR)" "$(MKISOFS)" "$(MKISOFS_OPTS)" "$(JIGDO_OPTS)" "$(jigdo_cleanup)"
@@ -378,11 +388,3 @@
 imagesums:
 	$(Q)$(BASEDIR)/tools/imagesums $(OUT) $(SUMS_EXTENSION)
 
-## MISC TARGETS ##
-
-$(BDIR)/md5-check: mirrorcheck	
-
-mirrorcheck: ok
-	$(Q)$(grab_md5) $(MIRROR) "$(ARCHES)" $(CODENAME) $(DI_CODENAME) $(BDIR)/md5-check
-	$(Q)for ARCH in $(ARCHES); do \
-		if [ -e $(BASEDIR)/data/$(CODENAME)/$$ARCH/extra-sources ]; then \
