=== debian/changelog ===
debian-cd (3.1.5) unstable; urgency=high

  [ Steve McIntyre ]
  * Final upload for squeeze.
  * Pass the base mkisofs options into make_disc_trees too.
  * Switch to --iso-level 4 for powerpc images to make them work better
    with POWER machines. Thanks to Milan Kupcevic for the patch.
    Closes: #603536
  * Add code to make isohybrid images for i386/amd64:
    + Makefile: Add support for overriding the MKISOFS and MKISOFS_OPTS
      variables on a per-arch basis
    + CONF.sh: add working examples for this
    + CONF.sh: fix up the -jigdo-min-file-size option to use 1024 instead
      of 0; genisoimage used to fix this up, but xorriso doesn't.
    + tools/boot/squeeze/boot-x86: if configured to use xorriso, add the
      extra command line options to add the isohybrid MBR. Also work
      around a difference in ISO directory naming between genisoimage and
      xorriso.
    + Closes: #551951
  * Drop the recommended size for BD-ROMs slightly, on the recommendation
    of Thomas Schmitt. This will make it more likely that we'll fit on
    all media.

 -- Steve McIntyre <93sam@debian.org>  Wed, 02 Feb 2011 23:37:54 +0000
