## debian-cd 3.1.7

=== Makefile ===
--- 
+++ 
@@ -133,8 +133,6 @@
 	$(Q)mkdir -p $(TASKDIR)
 	$(Q)echo "- copying task files from 'tasks/$(DI_CODENAME)/'"
 	$(Q)cp -r $(BASEDIR)/tasks/$(CODENAME)/* $(TASKDIR)
-	$(Q)echo "- copying firwmare task file from 'tasks/firmware'"
-	$(Q)cp -r $(BASEDIR)/tasks/firmware $(TASKDIR)
 	$(Q)echo "- task.languages: using 'tasks/$(DI_CODENAME)/$(TASK_LANGLIST)'"
 	$(Q)cp $(BASEDIR)/tasks/$(DI_CODENAME)/$(TASK_LANGLIST) \
 		$(TASKDIR)/task.languages
@@ -143,9 +141,14 @@
 		$(BASEDIR)/tools/update_tasks; \
 		$(BASEDIR)/tools/generate_di_list; \
 		$(BASEDIR)/tools/generate_di+k_list
+ifeq ($(FORCE_FIRMWARE),1)
+	# Generate firmware task file using the contents of the archive
+	$(Q)$(BASEDIR)/tools/generate_firmware_task "$(ARCHES)" $(TASKDIR)/firmware
+endif
 endif
 $(BDIR)/DATE:
-	$(Q)date '+%Y%m%d' > $(BDIR)/DATE
+	$(Q)date -u '+%Y%m%d' > $(BDIR)/DATE
+	$(Q)date -u '+%Y%m%dT%H%M%SZ' > $(BDIR)/DATE-zulu
 
 ifdef MIRROR
 LATEST_DB := $(MIRROR)/$(shell $(which_deb) $(MIRROR) $(CODENAME) debootstrap)
@@ -157,14 +160,14 @@
 	fi
 endif
 
-# Make sure unstable/sid points to testing/squeeze, as there is no build
+# Make sure unstable/sid points to testing/wheezy, as there is no build
 # rule for unstable/sid.
 unstable-map:
 	$(Q)if [ ! -d $(BASEDIR)/data/sid ] ; then \
-		ln -s squeeze $(BASEDIR)/data/sid ; \
+		ln -s wheezy $(BASEDIR)/data/sid ; \
 	fi
 	$(Q)if [ ! -d $(BASEDIR)/tools/boot/sid ] ; then \
-		ln -s squeeze $(BASEDIR)/tools/boot/sid ; \
+		ln -s wheezy $(BASEDIR)/tools/boot/sid ; \
 	fi
 
 #################
@@ -326,7 +329,7 @@
 	for VARIANT in $(VARIANTS); do \
 		VARIANTDEFS="$$VARIANTDEFS -D VARIANT_$$VARIANT"; \
 	done; \
-	if [ "$(FORCE_FIRMWARE)"x != "0"x ] ; then \
+	if [ "$(FORCE_FIRMWARE)"x = "1"x ] ; then \
 		ARCHDEFS="$$ARCHDEFS -DFORCE_FIRMWARE"; \
 	fi; \
 	if [ "$(EXCLUDE_486_KERNEL)"x = "1"x ] ; then \
@@ -384,7 +387,3 @@
 # Generate only one image number $(CD)
 image: check-number-given images
 
-# Calculate the md5sums for the images (if available), or get from templates
-imagesums:
-	$(Q)$(BASEDIR)/tools/imagesums $(OUT) $(SUMS_EXTENSION)
-
