=== debian/changelog ===
debian-cd (3.1.7) unstable; urgency=low

  [ Ben Hutchings ]
  * In the boot prompt for powerpc, make install64 more prominent.
    Closes: #614583

  [ Steve McIntyre ]
  * Merge update-cd changes back from the squeeze branch:
    + Remove the old non-US stuff from it, it's not been needed in years.
    + Cope with .bz2 source files too.
    + Merged and simplified the old functionality from scansources.old
      and scanpackages.old into the new script create_control.
    + Run the mkisofs step *outside* of "set -e" so that we can actually
      report errors instead of silently failing.
    + Split out the code for starting a new disc into a function.
    + Pick up on a potential bug: if we finish the last (expected) disc with
      a backed-out file, make sure we create another image to include that
      file too.
  * Update make_disc_trees.pl and which_deb to cope with different
    types of source file, and clean up the code in that area.
  * tools/make_image: generate list files while we have the CD trees
    available
  * update the URL for downloading s390 d-i dailies.
  * Add linux-image-2.6-686-bigmem to tasks/<release>/interesting-fromcd23
    to try and put that on i386 image sets before linux-image-amd64.
    Closes: #622622
  * update the URL for downloading i386 d-i dailies.
  * update the URL for downloading armel d-i dailies.
  * tools/grab_md5:
    + Improve Packages and Sources file parsing;
    + Cope with differently-formed files that are still valid
      (don't assume field ordering).
    + Switch from awk to perl makes things much faster too!
    + Make arch handling more generic - instead of having to list all
      arches, allow a wildcard and then check for lack of Packages.gz files
  * tools/make-firmware-image: Rather than use the firmware task which
    gets out of date, look for firmware/microcode files directly in the
    Packages file. Check for things installing in /lib/firmware, and add
    those packages.
  * Remove the checked-in firmware task altogether, as it's not
    useful. Generate it when needed using the new script
    tools/generate_firmware_task.
  * Add apt-offline to tasks/wheezy/forcd1 to bring it onto CD#1.
    Closes: #630805
  * Add links to snapshot.debian.org into jigdo files. 

  [ Aurelien Jarno ]
  * Add support for hurd-i386. Closes: #619211

 -- Steve McIntyre <93sam@debian.org>  Tue, 07 Jun 2011 23:03:42 +0100

debian-cd (3.1.6) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Add the missing accent in my family name in Uploaders.
  * Drop Frans Pop from Uploaders, RIP.

  [ Steve McIntyre ]
  * Start wheezy development, doing "svn cp squeeze wheezy" and
    "s/squeeze/wheezy/" in various places.
  * Add support for over-riding disc size on demand, used for some of the
    squeeze release builds.
  * Add disk size definitions for 1/2/4/8 GB USB sticks.
  * Extend the size-override code to allow to override an individual disc
    in the set (e.g. to make the first DVD fit on a 4GB USB
    stick). Closes: #612074
  * Special-case builds of source-only discs: if we think we've
    overflowed the disc size, try to carry on for a few more packages
    to get closer to actually filling the disc. Closes: #613751.
  * Path to sparc daily builds has changed.
  * armel hasn't booted off CD in ages for us; comment out the DI_WWW_HOME
    definition to stop the mirror script complaining.
  * Add more checksum types to generated Release files; go from md5 only
    to md5, sha1, sha256 and sha512.
  * tools/start_new_disc: tone down messages about missing
    {BASE,UDEB}_{INCLUDE,EXCLUDE} files from ERROR to WARNING.
    Closes: #615043

  [ Otavio Salvador ]
  * Add btrfs-tools on required packages by installer. Closes: #612007.

  [ Didier Raboud ]
  * Remove win32-loader standalone flavours from the tools/ directory on
    x86. Closes: #612224

 -- Steve McIntyre <93sam@debian.org>  Fri, 04 Mar 2011 14:56:50 +0000
