## debian-cd 3.1.9

=== Makefile ===
--- 
+++ 
@@ -85,6 +85,9 @@
 
 # Basic checks in order to avoid problems
 ok:
+ifdef FORCE_FAIL
+	@echo Debug variable FORCE_FAIL defined -- abort now; false
+endif
 ifndef TDIR
 	@echo TDIR undefined -- set up CONF.sh; false
 endif
@@ -133,9 +136,6 @@
 	$(Q)mkdir -p $(TASKDIR)
 	$(Q)echo "- copying task files from 'tasks/$(DI_CODENAME)/'"
 	$(Q)cp -r $(BASEDIR)/tasks/$(CODENAME)/* $(TASKDIR)
-	$(Q)echo "- task.languages: using 'tasks/$(DI_CODENAME)/$(TASK_LANGLIST)'"
-	$(Q)cp $(BASEDIR)/tasks/$(DI_CODENAME)/$(TASK_LANGLIST) \
-		$(TASKDIR)/task.languages
 	$(Q)echo "- generating dynamic task files"
 	$(Q)set -e; cd $(TASKDIR); \
 		$(BASEDIR)/tools/update_tasks; \
@@ -387,3 +387,5 @@
 # Generate only one image number $(CD)
 image: check-number-given images
 
+# Calculate the md5sums for the images (if available), or get from templates
+imagesums:
