=== debian/changelog ===
debian-cd (3.1.9) unstable; urgency=low

  [ Steve McIntyre ]
  * Add s390x as a known architecture, merging common s390/s390x boot
    setup scripts.
  * Add dependency on xorriso. Closes: #673656
  * Describe discs appropriately depending on the kernel used.
    Closes: #673975
  * Clean up handling of environment variable handling in perl tools.
  * Switch over to working with new task-* metapackages. Closes: #672941
  * Add espeakup to forcd1, so we get speech synthesis for a11y early on full
    CD/DVD sets. Closes: #678064
  * Fix installer priority handling on pegasos. Closes: #679798.
    Thanks to Milan Kupcevic for the patch.
  * Add gtk initrd to hurd-i386 images. Closes: #635260
    Thanks to Samuel Thibault for the patch.
  * Updated all the latest in-use scripts and config in the contrib dir.

 -- Steve McIntyre <93sam@debian.org>  Thu, 05 Jul 2012 18:32:04 -0600

debian-cd (3.1.8) unstable; urgency=low

  [ Steve McIntyre ]
  * Switch i386 kernel flavours again on advice from Ben:
    + Removed all mention of 686-bigmem as it's now gone
    + Added 686-pae onto CD#1 in place of 686
    + Leave the 486 kernel on CD#1 still, for people who can't use 686-pae
    + Add zfsutils into the generate_d-i+k_list for kfreebsd users.
  * Add support for translated package description files. Closes: #495102
    + Add needed dependency on bzip2
    + Other minor cleanups in tools/make_disc_trees.pl
  * Fix "expert" mode in yaboot for powerpc. Closes: #636265. Thanks to
    Milan Kupcevic for the patch.
  * Update list of Linux kernel packages. Closes: #648690. Thanks to Ben
    Hutchings for the patch.
  * Remove lots of old stuff neither needed nor supported any more:
    + removed architectures: alpha arm hppa
    + removed releases: etch lenny
    + removed unversioned data/sparc and data/yaboot, versioned
      equivalents are in place already.
  * tools/generate_firmware_task: Add LOCALDEBS support
  * Add more armel kernel flavours
  * Add armhf as a known architecture, merging common armel/armhf boot
    setup scripts.
  * Remove hppa boot script, unsupported now.
  * Tweak command line options for creating source images: add -joliet-long

  [ Joey Hess ]
  * Read tasksel's debian-tasks.desc from its new location.

  [ Ian Campbell ]
  * Rename "xm-debian.cfg" to just "debian.cfg" for Xen config.

  [ Raphaël Hertzog ]
  * Changes triggered by various lintian warnings:
    + Switch to “3.0 (native)” source format to get rid of .svn
      directories in the source package (when built from the svn checkout
      directly)
    + Support build-arch/build-indep targets in debian/rules.
    + Drop executable rights from tools/boot/wheezy/boot-hurd
      (and fix debian/rules to not re-add it).
    + Bump Standards-Version to 3.9.2 (no change required).

  [ Philipp Kern ]
  * Add an extra tweaked version of d390.ins for s390 booting. The
    Hardware Management Console needs the file to be in the root
    directory.

  [ Robert Millan ]
  * Add kfreebsd 9. Closes: #650926
  * Add graphical installer image for kfreebsd-amd64. Closes: #651530
  * generate_d-i+k_list: Add ufutils. Closes: #662234

 -- Steve McIntyre <93sam@debian.org>  Fri, 04 May 2012 16:13:42 +0100
