=== debian/changelog ===
debian-cd (3.1.11) unstable; urgency=low

  [ Steve McIntyre ]
  * Merge x86 EFI support from the EFI_support branch (Closes: #658352)
    + Pull in grub-efi for amd64 and i386
    + Lots of extra code in boot-x86:
      - pull grub EFI pieces out of the latest debian-cd_info.tar.gz
        blobs in d-i, if they're there. If so, use them to make x86 images
        bootable via EFI (both via CD and USB)
      - parse the isolinux menus already provided in the d-i build and
        generate equivalent grub menus, complete with themes for a
        reasonable layout with graphics and titles.
      - depending more and more on xorriso rather than genisoimage...
  * Add version-tracking into dependency sorting. Closes: #687949)
    + Use/parse output from a newer version of apt so that "apt-cache
      depends" will include version information on dependencies.
    + All tracking of packages now include versions, so we pass around
      hashes of {package name, comparison op, version} everywhere instead
      of simply passing package names as strings.
    + Add the APT::Cache::ShowVersion=1 option to apt-cache calls to
      turn on version reporting. Needs a locally-patched version of apt
      *for now*, but expecting that to be fixed for the Wheezy
      release. The new code degrades gracefully if version info is not
      available.
    + Add a dependency on libdpkg-perl for version comparison code.
  * Improve architecture support in which_deb. Closes: #695244
    + Check all the architectures available in the archive if we're not
      specifically told which to use (e.g. on source builds)
    + If we fail to find packages/sources for the specified package, say
      so and bail out properly.
  * Switch boot-x86 to depend on xorriso totally rather than genisoimage
    now; working UEFI support needs it. We also need very recent (1.2.6)
    xorriso for various bugfixes, ideally.

 -- Steve McIntyre <93sam@debian.org>  Wed, 26 Sep 2012 01:09:13 +0100

debian-cd (3.1.10) unstable; urgency=low

  [ Steve McIntyre ]
  * Don't exclude all the udebs for s390. Some users really do need them
    (loading from a CD/DVD used over the network). Closes: Bug #673576
  * Explicitly add s390-tools and sysconfig-hardware for s390.
  * Tweak sort_deps:
    + Track whether a dependency chain is caused by a hard dependency
      (Depends) or soft (Recommends/Suggests). If we fail to add a package
      down the chain on a *soft* dependency, don't invalidate the entire
      chain.
    + When checking OR dependencies, *first* check to see if any of the
      options are already installed *before* trying to install the first
      option. Helps a lot with circular deps such as task-lxde-desktop ->
      task-desktop -> (task-gnome-desktop | task-lxde-desktop | etc.); in
      this case, of course task-lxde-desktop should satisfy the OR dep.
  * Tweak powerpc boot options, using 32/64 bit detection in yaboot at
    boot time. Thanks to Milan Kupcevic for the patch. Closes: #678066
  * Tweak boot-load-size for ia64 to make CDs boot again. Closes: #678883.
    Thanks to Stephan Schreiber for the patch. Tweak all the other
    ElTorito-booting arches in a similar fashion.

  [ Joey Hess ]
  * Clean up forcd1, removing twm, wmaker, wmakerconf, pump,
    menu (pulled in by desktop tasks),
    aptitude (pulled in by debootstap, and may be demoted to optional),
    alsa-utils, alsa-base (pulled in by task-desktop),
    mdetect, read-edid (no longer used by xorg),
    grub (handed by generate_di+k_list),
    deborphan, debfoster, localepurge (expert user stuff),
    chdrvfont (no such package any more),
    discover, popularity-contest, wpasupplicant, openssh-server
    (in generate_di+k_list),
    gnupg (pulled in by debootstrap)
  * Updated generate_di+k_list to match more closely the current
    packages d-i apt-installs.
  * Further trim forcd1, removing lots of historical cruft, and adding
    comments explaining the rationalle for the remaining packages.

 -- Steve McIntyre <93sam@debian.org>  Fri, 24 Aug 2012 14:50:13 +0100
