## debian-cd 3.1.13

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,12 @@
 TASK=Debian-generic
 endif
 ifndef MKISOFS
+ifneq (,$(filter i386 amd64,$(ARCHES)))
+export MKISOFS=xorriso
+export MKISOFS_OPTS=-as mkisofs -r -checksum_algorithm_iso md5,sha1
+else
 export MKISOFS=$(shell which genisoimage mkisofs | head -1)
+endif
 endif
 ifndef MKISOFS_OPTS
 #For normal users
@@ -32,6 +37,12 @@
 ifndef HOOK
 HOOK=$(BASEDIR)/tools/$(CODENAME).hook
 endif
+ifndef ARCHIVE_KEYRING_PACKAGE
+ARCHIVE_KEYRING_PACKAGE=debian-archive-keyring
+endif
+ifndef ARCHIVE_KEYRING_FILE
+ARCHIVE_KEYRING_FILE=usr/share/keyrings/debian-archive-keyring.gpg
+endif
 
 export BUILD_DATE=$(shell date -u +%Y%m%d-%H:%M)
 export ARCHES_NOSRC=$(shell echo $(ARCHES) | sed 's/source//')
@@ -50,6 +61,9 @@
 endif
 ifneq (${ARCH_MKISOFS_OPTS},)
     MKISOFS_OPTS = ${ARCH_MKISOFS_OPTS}
+endif
+ifndef DEBOOTSTRAP_OPTS
+DEBOOTSTRAP_OPTS=--no-check-gpg
 endif
 
 ## Internal variables  
@@ -102,6 +116,9 @@
 endif
 ifndef CODENAME
 	@echo CODENAME undefined -- set up CONF.sh; false
+endif
+ifndef DISKTYPE
+	@echo DISKTYPE undefined -- set up CONF.sh; false
 endif
 ifndef OUT
 	@echo OUT undefined -- set up CONF.sh; false
@@ -215,11 +232,32 @@
 		fi; \
 	done;
 	:> $(ADIR)/status
-    # Updating the apt database
+
+	# Set up keyring so apt doesn't complain
+	@echo "Setting up archive-keyring"
+	$(Q)mkdir -p $(TDIR)/archive-keyring
+	$(Q)dpkg -x $(MIRROR)/$(shell $(which_deb) $(MIRROR) $(CODENAME) $(ARCHIVE_KEYRING_PACKAGE)) $(TDIR)/archive-keyring
+	$(Q)for ARCH in $(ARCHES); do \
+		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
+		ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
+	done
+
+	# Updating the apt database
 	$(Q)for ARCH in $(ARCHES); do \
 		export ARCH=$$ARCH; \
 		$(apt) update; \
 	done
+
+	# If we're doing a build using d-i from sid, we'll need sid sources too
+	if [ "$(INC_SOURCE)"x = "yes"x ] && \
+		[ "$(DI_CODENAME)"x != ""x ] && \
+		[ "$(DI_CODENAME)"x != "$(CODENAME)"x ] ; then \
+		mkdir -p $(ADIR)/$(DI_CODENAME)-source/apt/preferences.d ; \
+		:> $(ADIR)/$(DI_CODENAME)-source/status ; \
+		export CODENAME=$(DI_CODENAME); \
+		export ARCH=source; \
+		$(apt) update; \
+	fi
     #
     # Checking the consistency of the standard system
     # If this does fail, then launch make correctstatus
@@ -309,7 +347,7 @@
 				[ -z "$$BINCLUDE" ] || BINCLUDE="--include=$$BINCLUDE"; \
 				BEXCLUDE=`[ -n "$(BASE_EXCLUDE)" ] && cat $(BASE_EXCLUDE) | tr "\n" "," | sed 's!,$$!!g'`; \
 				[ -z "$$BEXCLUDE" ] || BEXCLUDE="--exclude=$$BEXCLUDE"; \
-				debootstrap --arch $$ARCH \
+				debootstrap $(DEBOOTSTRAP_OPTS) --arch $$ARCH \
 				            --print-debs \
 				            $$BINCLUDE $$BEXCLUDE \
 				            $(CODENAME) \
@@ -338,7 +376,7 @@
 	fi; \
 	if [ "$(SOURCEONLY)"x != "yes"x ] ; then \
 		cat $(TASKDIR)/$(TASK) | \
-		cpp -nostdinc -nostdinc++ -P -undef $$ARCHDEFS $$VARIANTDEFS\
+		cpp -nostdinc -P -undef $$ARCHDEFS $$VARIANTDEFS\
 	   		$$ARCHUNDEFS -U i386 -U linux -U unix \
 		    -DFORCENONUSONCD1=0 \
 		    -I $(TASKDIR) - - >> $(BDIR)/rawlist; \
@@ -356,37 +394,3 @@
 # Build a nice list without doubles and without spaces
 genlist: ok $(BDIR)/list
 $(BDIR)/list: $(BDIR)/rawlist
-	@echo "Generating the complete list of packages to be included in $(BDIR)/list..."
-	$(Q)perl -ne 'chomp; next if /^\s*$$/; \
-	          print "$$_\n" if not $$seen{$$_}; $$seen{$$_}++;' \
-		  $(BDIR)/rawlist \
-		  > $(BDIR)/list
-
-## IMAGE BUILDING ##
-
-image-trees: ok genlist
-    # Use sort_deps to do the dependency sorting
-	$(Q)for ARCH in $(ARCHES_NOSRC); do \
-		ARCH=$$ARCH $(sort_deps) $(BDIR)/list; \
-	done
-	$(Q)if [ "$(SOURCEONLY)"x = "yes"x ] ; then \
-		$(grab_source_list) $(BDIR) $(ADIR) $(BDIR)/list $(BDIR)/packages; \
-	else \
-		$(merge_package_lists) $(BDIR) $(ADIR) "$(ARCHES)" $(BDIR)/packages; \
-	fi
-	$(Q)if [ "$(INC_SOURCE)"x = "yes"x ] ; then \
-		grep ^source $(BDIR)/packages > $(BDIR)/packages.source; \
-	fi
-	$(Q)$(BASEDIR)/tools/make_disc_trees.pl $(BASEDIR) $(MIRROR) $(TDIR) $(CODENAME) "$(ARCHES)" "$(MKISOFS)" "$(MKISOFS_OPTS) $(JIGDO_OPTS)"
-
-images: ok $(OUT) $(BDIR)/md5-check
-	$(Q)$(make_image) "$(BDIR)" "$(ARCHES)" "$(OUT)" "$(DEBVERSION)" "$(MIRROR)" "$(MKISOFS)" "$(MKISOFS_OPTS)" "$(JIGDO_OPTS)" "$(jigdo_cleanup)"
-
-check-number-given:
-	@test -n "$(CD)" || (echo "Give me a CD=<num> parameter !" && false)
-
-# Generate only one image number $(CD)
-image: check-number-given images
-
-# Calculate the md5sums for the images (if available), or get from templates
-imagesums:
