=== debian/changelog ===
debian-cd (3.1.13) unstable; urgency=medium

  * The traditional "last upload before the stable release" upload...

  [ Robert Spencer ]
  * Use ARCHIVE_KEYRING_PACKAGE and ARCHIVE_KEYRING_FILE parameters to
    not hardcode debian-archive-keyring and let derivatives use their
    own keyring.
  * Add further support for missing win32-loader.ini. Closes: #705594
  * Allow for override of distro name etc. in grub.cfg for EFI boot too.
    Closes: #705610

  [ Steve McIntyre ]
  * Tweak handling of {udeb,base}_{include,exclude} files so multi-arch
    builds should work better. Closes: #703436
  * Remove the dpkg check for debootstrap version before passing the
    --no-check-gpg option; we're not going to support debootstrap versions
    so old that they don't support this flag, *and* the dpkg-query call
    doesn't give us the right version anyway - we're using an extracted
    copy from the archive, not the one that (might be) installed on our
    build machine.

 -- Steve McIntyre <93sam@debian.org>  Tue, 30 Apr 2013 22:54:32 +0100

debian-cd (3.1.12) unstable; urgency=low

  [ Steve McIntyre ]
  * When building source-only discs, cope with having multiple different
    versions of a source package:
    + make_disc_trees.pl now tracks arrays of packages when parsing
      apt-cache output
    + We'll now pull in all the extra packages included in Sources.gz
      because of Built-Using.
  * Add support for Built-Using:
    + tools/sort_deps: parse out Built-Using from Packages files too and
      pass any such data on to tools/merge_package_lists
    + tools/merge_package_lists: if we have any built-using source
      packages listed when doing a combined binary/source set, add them in
      the same way as existing listed sources.
  * Other bug fixes in tools/merge_package_lists:
    + Fix handling of multi-line Binary: fields
    + Print out the accumulated size of source packages in output also
      (fix to printf format string)
  * Update Vcs-Browser
  * Make sure the DEBIAN_KERNEL placeholder in README.* is replaced;
    switch from cpp to sed for that so it works inside quoted
    text. Closes: #699198
  * Deal with syslinux version 5.x needing to install more files for
    bootable x86 media. Thanks to Daniel Baumann for the path.
    Closes: #699884

  [ Raphaël Hertzog ]
  * Update Makefile to set MKISOFS to xorriso by default when building
    images for i386/amd64. Otherwise a build that doesn't set MKISOFS
    and MKISOFS_OPTS fails.
  * Update tools/boot/wheezy/boot-x86 to not look for syslinux's source
    if $ARCHIVE_EXTRACTED_SOURCES is not set and modify CONF.sh
    to not set it by default. That option is only meaningful for
    official builds that result in a copy of the sources on the given URL.
  * Add dosfstools to Recommends since it's required by
    tools/boot/wheezy/boot-x86 for EFI support. It can't be added to Depends
    because it's not available on non-Linux systems.
  * Use debootstrap --no-check-gpg by default since many local mirrors
    are not signed (such as temporary mirrors created by simple-cdd).

  [ Steve McIntyre ]
  * Update boot-mipsel and boot-hppa to use the which_deb script for
    better safety when extracting boot loader files.
  * Update all the relevant boot-* scripts to do the right thing when
    extracting packages and sources, depending on
    $ARCHIVE_EXTRACTED_SOURCES as above
  * Add extra text to boot messages on powerpc to tell people about how to
    select a different desktop. Thanks to Rick Thomas for the
    text. Tweaked slightly to list the default on the current disc too.

  [ Robert Spencer ]
  * Extract debian-archive-keyring when setting up apt to avoid error
    messages about missing keys. Closes: #703431
  * Fix cpp warning in Makefile. Closes: #703432
  * Correct usage of dpkg-architecture to fix errors. Closes: #703487

  [ Steve McIntyre ]
  * Allow for override of DISKINFO base text; Closes: #695080

 -- Steve McIntyre <93sam@debian.org>  Mon, 01 Apr 2013 02:32:44 +0100
