=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends-Indep: tofrodos
 Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/debian-cd/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/debian-cd/trunk?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-cd/trunk/
 
 Package: debian-cd
 Architecture: all
 Depends: ${misc:Depends}, curl, perl, dpkg-dev, cpp, libdigest-md5-perl, libdigest-sha-perl, tofrodos, apt (>= 0.3.11.1), make, xorriso | genisoimage, lynx-cur | lynx, grep-dctrl, bc, libcompress-zlib-perl, bzip2, libdpkg-perl
-Recommends: hfsutils, netpbm, syslinux-common, mtools
+Recommends: hfsutils, netpbm, syslinux-common, mtools, dosfstools
 Description: Tools for building (Official) Debian CD set
  Debian-cd is the official tool for building Debian CD set since the potato
  release. It was formerly called YACS (for Yet Another CD Script).
